description

# PerformanceResourceTiming class Null safety

Inheritance
  - Object
  - PerformanceEntry
  - PerformanceResourceTiming
Implementers
  - PerformanceNavigationTiming
Annotations
  - @Native("PerformanceResourceTiming")

## Properties

connectEnd → num
  read-only
connectStart → num
  read-only
decodedBodySize → int?
  read-only
domainLookupEnd → num?
  read-only
domainLookupStart → num?
  read-only
duration → num
  read-only, inherited
encodedBodySize → int?
  read-only
entryType → String
  read-only, inherited
fetchStart → num?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
initiatorType → String?
  read-only
name → String
  read-only, inherited
nextHopProtocol → String?
  read-only
redirectEnd → num?
  read-only
redirectStart → num?
  read-only
requestStart → num?
  read-only
responseEnd → num?
  read-only
responseStart → num?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
secureConnectionStart → num?
  read-only
serverTiming → List<PerformanceServerTiming>?
  read-only
startTime → num
  read-only, inherited
transferSize → int?
  read-only
workerStart → num?
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited